Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235743 - small memory leaks in task code
Summary: small memory leaks in task code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.0.4
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-04-09 21:24 UTC by Rich Megginson
Modified: 2015-12-07 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:43:10 UTC


Attachments (Terms of Use)
diffs (deleted)
2007-04-09 22:13 UTC, Rich Megginson
no flags Details | Diff
cvs commit log (deleted)
2007-04-09 23:07 UTC, Rich Megginson
no flags Details

Description Rich Megginson 2007-04-09 21:24:54 UTC
There are a couple of places in the tasks code that use
slapi_get_first_backend/slapi_get_next_backend where the iterator cookie is not
freed.

Comment 1 Rich Megginson 2007-04-09 22:13:00 UTC
Created attachment 152068 [details]
diffs

Comment 2 Noriko Hosoi 2007-04-09 22:33:07 UTC
Looks good to me.  I see one more cookie around the line 1444 in task.c.

Comment 3 Nathan Kinder 2007-04-09 22:40:51 UTC
Looks good.

Comment 4 Rich Megginson 2007-04-09 23:07:23 UTC
Created attachment 152073 [details]
cvs commit log

Reviewed by: nkinder, nhosoi (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: There were a few places that were using
slapi_get_first/next_backend without freeing the iterator cookie.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no

Comment 5 Rich Megginson 2008-01-02 21:25:31 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.